# coding=utf-8
from __future__ import unicode_literals
from .. import Provider as PersonProvider


class Provider(PersonProvider):
    formats_female = (
        '{{first_name_female}} {{last_name}}',
        '{{first_name_female}} {{last_name}}',
        '{{first_name_female}} {{last_name}}',
        '{{first_name_female}} {{last_name}}',
        '{{first_name_female}} {{last_name}}',
        '{{prefix_female}} {{first_name_female}} {{last_name}}',
    )

    formats_male = (
        '{{first_name_male}} {{last_name}}',
        '{{first_name_male}} {{last_name}}',
        '{{first_name_male}} {{last_name}}',
        '{{first_name_male}} {{last_name}}',
        '{{first_name_male}} {{last_name}}',
        '{{prefix_male}} {{first_name_male}} {{last_name}}',
    )

    formats = formats_male + formats_female

    first_names_female = (
        'अंगुर', 'अजिता', 'अञ्जना', 'अदिती', 'अनधा', 'अनिता', 'अनिता',
        'अनिता', 'अनिता', 'अनु', 'अनुपमा', 'अनुरा', 'अनुशुया', 'अन्जली',
        'अन्‍नपूर्ण', 'अपर्णा', 'अमरावती', 'अमिका', 'अमृत', 'अमृता', 'अम्विका',
        'अम्विका', 'अम्वीका', 'अरुणा', 'अर्चना', 'अर्चना', 'अर्चना', 'अर्चना',
        'अस्‍मिता', 'आज्ञा', 'आभा', 'आयुषा', 'आयुष्‍मा', 'आवृता', 'आशा',
        'इच्छा', 'इन्दिरा', 'इन्दिरा', 'इन्दिरा', 'इन्दिरा', 'इन्दीरा',
        'इन्दु', 'इन्दु', 'इन्द्र', 'इन्द्र', 'इन्‍द्र', 'इभन', 'इभा', 'इशु',
        'ईतासा', 'ईन्दु', 'ईला', 'ईशा', 'ईशा', 'ईश्‍वरी', 'ईश्‍वरी', 'ईश्‍वरी',
        'उत्तरा', 'उपासना', 'उमा', 'उमा', 'उमा', 'उमा', 'उर्मिला', 'उर्मिला',
        'उर्मिला', 'उषा', 'उषा', 'उषा', 'उषा', 'उषा', 'उषा', 'एलिशा', 'एलिसा',
        'एलिसा', 'ऐरिका', 'कमला', 'कमला', 'कमला', 'कमला', 'कमला', 'कर्साङ',
        'कल्पना', 'कविता', 'कविता', 'कान्ती', 'कान्‍ता', 'कामना', 'कालसाङ्ग',
        'किरण', 'किरण', 'किरण', 'कुसुम', 'कृतिका', 'कृष्टिना', 'कृष्ण',
        'कृष्ण', 'कृष्ण', 'कृष्ण', 'कृष्‍ण', 'कृष्‍ण', 'केमा', 'केशरी',
        'कोमल', 'गंगा', 'गंगा', 'गंगा', 'गणेश', 'गरीमा', 'गायत्री', 'गीता',
        'गीता', 'गीता', 'गीता', 'गौरी', 'चण्डिका', 'चन्दा', 'चन्दा', 'चन्दा',
        'चन्दा', 'चन्द्रमाया', 'चन्द्रलक्ष्मी', 'चन्द्रा', 'चम्पा', 'चाँदनी',
        'चिनी', 'चिनी', 'चुनु', 'चुरीनानी', 'छिरिङ', 'छिरिङ', 'छिरिङ',
        'छुङड्याक', 'छेतन', 'छोक्पा', 'जतन', 'जनक', 'जमुना', 'जमुना', 'जयश्री',
        'जुना', 'जुनु', 'जुलुम', 'ज्ञानहेरा', 'ज्ञानी', 'ज्ञानु', 'ज्यास्मीन',
        'झिनाला', 'टासी', 'टिना', 'डिलु', 'डोमा', 'डोली', 'डोल्मा', 'तानिया',
        'तारा', 'तारा', 'तुलसी', 'तेजस्वी', 'तोया', 'तोरण', 'थिन्ले',
        'दमयन्ति', 'दिप', 'दिपा', 'दिपाञ्‍जली', 'दिपिसा', 'दिल', 'दीक्षा',
        'दुर्गा', 'देचेन', 'देबकी', 'देवकी', 'देवी', 'धनमाया', 'धन्जु',
        'धन्श्‍वरी', 'धर्म', 'नगिना', 'नम्रता', 'नाती', 'नानु', 'नारन',
        'नारायण', 'निकिता', 'निक्षा', 'निधी', 'निभा', 'निमा', 'निम्मी',
        'निम्मी', 'निरजा', 'निरा', 'निरा', 'निरु', 'निरु', 'निर्मल',
        'निर्मला', 'निर्मला', 'निलु', 'निशरत', 'नीरा', 'पदम', 'पद्‍मा',
        'परला', 'पलिसा', 'पवित्रा', 'पार्वती', 'पार्वती', 'पिनु', 'पुजन',
        'पुजा', 'पुजा', 'पुजा', 'पुन', 'पुष्पा', 'पुष्‍षा', 'पूजा', 'पूर्ण',
        'पूर्ण', 'पूर्णमाया', 'पेन्जीला', 'प्रतिति', 'प्रतिभा', 'प्रतिभा',
        'प्रतिसरा', 'प्रमिला', 'प्रमिला', 'प्रविना', 'प्रिती', 'प्रिया',
        'प्रिया', 'प्रिया', 'प्रिया', 'प्रिया', 'प्रेमा', 'प्रेरणा',
        'प्रेरणा', 'फुमिनी', 'फुलावती', 'फौजिया', 'बनिता', 'बन्दना', 'बबिता',
        'बविता', 'बिणा', 'बिनिता', 'बिमला', 'बीणा', 'बुद्ध', 'बैष्णवी',
        'भगवती', 'भगवती', 'भगवती', 'भगवती', 'भगवती', 'भवानी', 'भारती',
        'भावना', 'भुवन', 'भोजकला', 'मंगली', 'मञ्जु', 'मणि', 'मधु', 'मन', 'मन',
        'मनिला', 'मनिषा', 'मनिषा', 'मनीषा', 'मन्जु', 'मन्जु', 'मन्जु',
        'मन्दीरा', 'ममता', 'ममता', 'मयङ्खु', 'मल्लीका', 'मल्लीका',
        'महावती', 'माधुरी', 'मानसी', 'मिङमर', 'मिठु', 'मिना', 'मिना',
        'मिना', 'मिना', 'मिनु', 'मिरा', 'मिरा', 'मिश्री', 'मीना', 'मीना',
        'मीरा', 'मीरा', 'मुनमुन', 'मून', 'मेना', 'मेन्‍खु', 'मेरिना',
        'मेरिना', 'मैया', 'मोहिनी', 'योङमी', 'रंजीता', 'रकीला', 'रचिता',
        'रजनी', 'रजनी', 'रजिता', 'रन्जना', 'रबिना', 'रबीना', 'रमा', 'रमा',
        'रमा', 'रमिता', 'रमिता', 'रमिला', 'रविना', 'रविश्री', 'रश्मि', 'रश्मि',
        'रश्‍मी', 'राजलक्ष्मी', 'राज्यलक्ष्मी', 'राधा', 'राधिका', 'राम', 'राम',
        'राम', 'रिता', 'रिता', 'रिता', 'रितु', 'रिमा', 'रीता', 'रीता', 'रीता',
        'रीना', 'रुजा', 'रुद्र', 'रुपा', 'रुपा', 'रुपा', 'रुपा', 'रुपा',
        'रुपा', 'रुपा', 'रुविना', 'रेखा', 'रेणु', 'रेवती', 'रोजिना', 'लक्ष्मी',
        'लक्ष्मी', 'लक्ष्मी', 'लक्ष्मी', 'लक्ष्‍मी', 'लक्ष्‍मी', 'ललिता',
        'लिलालक्ष्मी', 'लीला', 'ल्हाजी', 'वन्दिनी', 'वर्षा', 'ववी',
        'विजया', 'विजया', 'विद्या', 'विध्या', 'विना', 'विना', 'विनिता',
        'विनिता', 'विभा', 'विमला', 'विमला', 'विमला', 'विमला', 'विष्‍णु',
        'विष्‍णु', 'शर्मिला', 'शर्मिला', 'शर्मिला', 'शर्मिला', 'शशी',
        'शशी', 'शशी', 'शशी', 'शान्ता', 'शान्ति', 'शान्ती', 'शान्ती',
        'शान्ती', 'शान्ती', 'शान्ती', 'शिखा', 'शिखा', 'शिला', 'शिलु',
        'शीला', 'शुभेच्छा', 'शुशिला', 'शुशिला', 'शुसिला', 'शोभा', 'शोभा',
        'शोभा', 'श्रद्धा', 'श्रद्धा', 'श्रीप्राप्‍ती', 'श्रीमती', 'श्रीया',
        'श्रृष्‍टि', 'श्रेयशी', 'श्‍यामा', 'श्‍वेता', 'संगिता', 'संगिता',
        'संगीता', 'सचिता', 'सजना', 'सत्य', 'सत्यव्रता', 'सपना', 'सफलता',
        'सबनम', 'समानता', 'समीना', 'सम्पदा', 'सरला', 'सरस्वती', 'सरस्वती',
        'सरस्वती', 'सरस्वती', 'सरस्वती', 'सरिता', 'सरिता', 'सरिता', 'सरिता',
        'सरिता', 'सरीता', 'सरीता', 'सरोज', 'सरोज', 'सरोजा', 'सर्मिला',
        'सलिना', 'सलिमा', 'सल्भिया', 'सविता', 'सविता', 'सविता', 'सविता',
        'सविता', 'सविना', 'साइमु', 'सागर', 'सानु', 'सानु', 'सानु', 'सान्नानी',
        'सान्नानी', 'सावित्री', 'सावित्री', 'सावित्री', 'सिता', 'सिता',
        'सिरु', 'सीता', 'सुकृती', 'सुधा', 'सुधा', 'सुधा', 'सुधा', 'सुन',
        'सुनाम', 'सुनिता', 'सुनिता', 'सुनिता', 'सुप्रभा', 'सुभद्रा', 'सुमन',
        'सुमित्रा', 'सुमित्रा', 'सुमित्रा', 'सुमैया', 'सुरुची', 'सुरेन्‍द्रा',
        'सुवर्णा', 'सुशिला', 'सुशिला', 'सुशिला', 'सुशिला', 'सुषमा', 'सुष्‍मा',
        'सुष्‍मा', 'सुसिला', 'सृजना', 'सृजना', 'सृजना', 'सोनी', 'सोनु',
        'स्मृती', 'स्मृती', 'स्वति', 'स्वेच्‍छा', 'स्‍वीकृती', 'हनी', 'हरि',
        'हिमा', 'हिरा', 'हिरा',
    )

    first_names_male = (
        'अक्षय', 'अच्युत', 'अजय', 'अजय', 'अनक', 'अनिर', 'अनिल', 'अनिल', 'अनिल',
        'अनिल', 'अनिष', 'अनुप', 'अनुप', 'अनोज', 'अभिषेक', 'अभिषेक', 'अभिषेक',
        'अमित', 'अमित', 'अमित', 'अमिन', 'अमृत', 'अमृत', 'अरुण', 'अरुण',
        'अर्जुन', 'अलंकार', 'अवलोक', 'अविनाश', 'अविशेक', 'अशोक', 'अशोक',
        'अशोक', 'अशोक', 'अशोक', 'अशोब', 'असिन', 'असोक', 'आकाश', 'आत्मेश',
        'आलोक', 'आलोक', 'आशय', 'आशिष', 'आशिष', 'आशिष', 'आशिष', 'आशिष', 'आशीष',
        'ईब्राहीम', 'ईसी', 'उज्ज्वल', 'उत्तम', 'उत्तम', 'उद्धव', 'उद्धव',
        'उमेश', 'उम्मेद', 'ऋकु', 'ऋशु', 'ऋषि', 'ऋषिकेस', 'एक', 'ओम', 'कपिल',
        'कमल', 'कमल', 'करन', 'करन', 'कर्मा', 'कल्याण', 'काजि', 'काजी', 'किरण',
        'किरण', 'किरण', 'किरण', 'किशन', 'किशोर', 'किशोर', 'किशोर', 'कीर्ति',
        'कुमार', 'कुमार', 'कुवेर', 'कुशल', 'कृजल', 'कृष्ण', 'कृष्ण',
        'कृष्णमान', 'कृष्‍ण', 'कृष्‍ण', 'कृष्‍ण', 'कृष्‍ण', 'कृष्‍ण', 'कृष्‍ण',
        'कृष्‍ण', 'कृष्‍ण', 'कृष्‍ण', 'कृष्‍ण', 'कृष्‍ण', 'केशर', 'केशव',
        'केशव', 'केशव', 'केशवलाल', 'केसर', 'कौशल', 'खगेन्द्र', 'खड्ग',
        'गणेश', 'गोपाल', 'गोपाल', 'गोपी', 'गोविन्द', 'गोविन्द', 'गोविन्द',
        'गौतम', 'चन्द', 'चन्द्र', 'चन्द्रेश', 'चिरञ्जीबि', 'चिरनजीवी', 'चैत्य',
        'छवि', 'छेवाङ', 'जगनाथ', 'जगन्नाथ', 'जगन्नाथ', 'जगविर', 'जयन्त',
        'जयन्द्र', 'जयराम', 'जितेन्द्र', 'जीबन', 'जुगल', 'ज्ञान', 'ज्ञानु',
        'ज्ञानेश्‍वर', 'ज्योती', 'ज्योती', 'ज्‍योभान', 'टसी', 'टासी', 'टिका',
        'टेक', 'डा.', 'डा.', 'डा.', 'डेनिस', 'तिर्थ', 'तेजश्‍वी', 'तोप्ला',
        'तोलाराम', 'त्रिरत्‍न', 'थोकेल', 'दमोदर', 'दर्शन', 'दवा', 'दावा',
        'दिगविजया', 'दिनेश', 'दिनेस', 'दिपक', 'दिपक', 'दिपक', 'दिपक', 'दिपक',
        'दिपक', 'दिपक', 'दिपक', 'दिपक', 'दिपकस्वर', 'दिपीन', 'दिपेन्द्र',
        'दिपेन्द्र', 'दिपेन्द्र', 'दिपेश', 'दिपेश', 'दिलिप', 'दिवाकर', 'दीपक',
        'दीपेश', 'दुर्गा', 'देव', 'देवेन्द्र', 'देवेन्द्र', 'देवेन्द्र',
        'देवेन्‍द्र', 'द्वारीका', 'धर्मेन्द्र', 'धिरज', 'ध्रुव', 'नबिन',
        'नबिन्द्र', 'नरपल', 'नरभूपाल', 'नरेन्द्र', 'नरेन्द्र', 'नवराज', 'नविन',
        'नविन', 'नारायण', 'नारायण', 'निमेश', 'निरज', 'निरज', 'निरोज', 'निर्भय',
        'निर्मल', 'निर्मेश', 'पंकज', 'पंच', 'पवन', 'पवन', 'पारस', 'पासाङ्ग',
        'पुरुषोत्तम', 'पुर्णभक्‍त', 'पुलकित', 'पुष्‍प', 'प्रकाश', 'प्रकाश',
        'प्रकाश', 'प्रकाश', 'प्रकास', 'प्रजीत', 'प्रज्ञान', 'प्रज्वल',
        'प्रदिप', 'प्रद्मुम्न', 'प्रफुल्ल', 'प्रभु', 'प्रमेश्‍वर', 'प्रमोद',
        'प्रल्‍हाद', 'प्रविण', 'प्रवेश', 'प्रशान्त', 'प्रशान्न', 'प्रसङ्ग',
        'प्रेम', 'फणिन्द्र', 'बद्रि', 'बद्री', 'बद्री', 'बनवारी', 'बबि', 'बबि',
        'बलकिसन', 'बलराम', 'बल्लु', 'बसन्त', 'बासु', 'बासु', 'बिकाश', 'बिकास',
        'बिराट', 'बुद्धि', 'बुध्द', 'भरत', 'भरत', 'भरत', 'भविन्‍द्र', 'भाइ',
        'भुमा', 'भैया', 'भैरवलाल', 'भोला', 'मंजिल', 'मणी', 'मणीराज', 'मदन',
        'मदन', 'मदन', 'मनिष', 'मनीष', 'मनोज', 'मनोज', 'मनोज', 'मनोज', 'मनोज',
        'मनोहर', 'मनोहर', 'मन्ना', 'मयुश', 'महेन्द्र', 'महेश', 'महेश', 'महेश',
        'महेश', 'महेश', 'माधव', 'माधव', 'मालचन्द', 'मित्र', 'मिनराज',
        'मुकुन्द', 'मुकुन्‍द', 'मुकेश', 'मुख्या', 'मुरारीलाल', 'मेघ', 'मैत्री',
        'मोती', 'मोती', 'मोहन', 'मोहन', 'मोहन', 'यश', 'याम', 'युवराज',
        'योगेन्द्र', 'रजत', 'रतन', 'रत्‍न', 'रमण', 'रमेश', 'रमेश', 'रवि',
        'रवि', 'रवि', 'रविन', 'रविन्द्र', 'रविन्द्र', 'रविन्द्र', 'रविन्द्र',
        'राघव', 'राज', 'राजकुमार', 'राजन', 'राजन', 'राजिव', 'राजीव', 'राजु',
        'राजु', 'राजु', 'राजु', 'राजु', 'राजु', 'राजेन्द्र', 'राजेन्द्र',
        'राजेन्द्र', 'राजेन्द्र', 'राजेश', 'राजेश', 'राजेश', 'राजेश', 'राजेश',
        'राजेश', 'राम', 'राम', 'राम', 'राम', 'राम', 'राम', 'राम', 'राम', 'राम',
        'रामचन्द्र', 'रामजान', 'रामशरण', 'राहुल', 'राहुल', 'रा्जेन्द्र',
        'रुपेश', 'रोजिन', 'रोजीन', 'रोमेन्‍द्र', 'रोहन', 'रौनक', 'लक्ष्मण',
        'लक्ष्मी', 'लक्ष्‍मण', 'लव', 'लाल', 'लिटन', 'वसन्त', 'विकास', 'विक्रम',
        'विजय', 'विजेश', 'विध्यामान', 'विनिल', 'विनोद', 'विनोद', 'विरभद्र',
        'विरेन्द्र', 'विवेक', 'विवेक', 'विवेक', 'विश्‍व', 'विष्णु', 'विष्‍णु',
        'वुष्‍कर', 'शंकर', 'शंकर', 'शंकर', 'शंकर', 'शक्ति', 'शचिन्द्र', 'शरद',
        'शरद', 'शरद', 'शशी', 'शान्त', 'शाहिद', 'शिव', 'शिव', 'शुक्र',
        'शुशान्त', 'शुशिल', 'शेलेन्‍द्र', 'शैलेन्द्र', 'शैलेन्द्र', 'शैलेस',
        'श्याम', 'श्रीजङ्ग', 'श्रीवत्स', 'श्रेयस', 'श्‍याम', 'श्‍यामराज',
        'संकर', 'संजय', 'संजय', 'संजिव', 'संजिव', 'संजीब', 'संजीव', 'संदिप',
        'सगुन', 'सजन', 'सजेन्‍द्र', 'सन्जय', 'सन्जय', 'सन्जीब', 'सन्तोष',
        'सफराज', 'समुन्‍द्र', 'सम्पुर्ण', 'सरोज', 'सरोज', 'सरोज', 'सर्वेश',
        'सागर', 'सानु', 'सिद्धि', 'सीताराम', 'सुजन', 'सुजन', 'सुदन',
        'सुदर्शन', 'सुधिर', 'सुनिल', 'सुनिल', 'सुनिल', 'सुनिल', 'सुन्दर',
        'सुमन', 'सुमन', 'सुरज', 'सुरज', 'सुरज', 'सुरेन', 'सुरेन्द्र',
        'सुरेन्‍द्र', 'सुरेश', 'सुरेश', 'सुरेश', 'सुरेश', 'सुवर्ण', 'सुवर्ण',
        'सुवोध', 'सुशान्त', 'सुशिल', 'सुशिल', 'सृजन', 'सेखर', 'सैबी', 'सोम',
        'सौरब', 'सौरभ', 'स्वागत', 'स‌ंजय', 'हरि', 'हरि', 'हरि', 'हरिहर',
        'हर्क', 'हिरा', 'हिरा', 'हिरा', 'हिरेन्द्र', 'हेमन', 'हेमराज',
    )

    first_names = first_names_male + first_names_female

    last_names = (
        'अग्रवाल', 'नेपाल', 'न्यौपाने', 'महर्जन', 'श्रेष्‍ठ', 'थापा',
        'लामा', 'खड्गी', 'शाह', 'मानन्धर', 'मानन्‍धर', 'अग्रवाल', 'थापा',
        'रिमाल', 'अग्रवाल', 'सरीया', 'थापा', 'दुगल', 'महर्जन', 'बेगामी',
        'सिंह', 'गुरुङ्ग', 'पन्‍त', 'श्रेष्‍ठ', 'पाण्डे', 'महर्जन', 'जैन',
        'शाक्य', 'अग्रवाल', 'थापा', 'पाण्‍डे', 'मानन्धर', 'राजकर्णिकार',
        'रेग्मी', 'सरिया', 'पोखरेल', 'कार्की', 'अग्रवाल', 'भट्टराई', 'पौड्याल',
        'अग्रवाल', 'पाण्डे', 'उपाध्याय', 'र‌जितकार', 'अधिकारी', 'पाण्डे',
        'मानन्धर', 'पाण्‍डे', 'अग्रवाल', 'मुस्‍लीम', 'गुरुङ्ग', 'कक्षपती',
        'मानन्धर', 'मास्के', '(क्षेत्री)', 'थापा', 'सापकोटा', 'बोथरा',
        'श्रेष्‍ठ', 'श्रेष्‍ठ', 'भुसाल', 'पन्त', '(पाण्डे)', 'टिब्रेवाल',
        'श्रेष्‍ठ', 'बेगानी', 'पनेरु', 'श्रेष्ठ', 'राठौर', 'गुरुङ', 'पाण्डे',
        'महर्जन', 'मानन्धर', 'लामा', 'श्रेष्‍ठ', 'थापा', 'राणा', 'दुगड',
        'प्‍याकुरेल', 'अग्रवाल', 'अधिकारी', 'जोशी', 'गुरुङ्ग', 'सिलवाल',
        'सिल्वाल', 'पाण्डे', 'पौड्याल', 'घिमिरे', 'क्षेत्री', 'कर्माचार्य',
        'के.सी.', 'थापा', 'महर्जन', 'घिमिरे', 'डंगोल', 'श्रेष्‍ठ', 'श्रेष्‍ठ',
        'श्रेष्‍ठ', 'खत्री', 'साही', 'थापा', 'मल्ल', 'राजकर्णिकार', 'तिवारी',
        'मल्ल', 'श्रेष्‍ठ', 'श्रेष्ठ', 'प्रजापति', 'सिटौला', 'गिरी', '(धेके)',
        'के.सी.', 'शर्मा', 'दवाडी', 'श्रेष्‍ठ', 'मल्ल', 'सिल्वाल', 'शाक्य',
        'प्रधानाङ्ग', 'सुवाल', 'जैन', 'रिमाल', 'पौडेल', 'मानन्धर', 'जोशी',
        'गुरुङ्ग', 'पौडेल', 'आचार्य', 'तिवारी', 'महर्जन', 'दुगड', 'के.सी',
        'के.सी', 'मानन्धर', 'राणा', 'धनावत', 'मानन्धर', 'वज्राचार्य',
        'कक्षपति', 'बेगानी', 'भट्टराई', 'भुजू', 'घले', 'गुरुङ्ग', 'बगाले',
        'पोखरेल', 'थापा', 'थापा', 'महतो', 'लोहनी', 'श्रेष्‍ठ', 'शाही',
        'उक्याव', 'दुगड', 'राजकर्णिकार', 'गुरुङ्ग', 'शर्मा', 'जैन', 'गुरुङ',
        'बस्नेत', 'वज्राचार्य', 'मानन्‍धर', 'मैनाली', 'चौलागाई', 'न्यौपाने',
        'महर्जन', 'मानन्धर', 'राजकर्णिकार', 'सिंह', 'तुलाधर', 'अधिकारी',
        'श्रेष्‍ठ', 'अमात्य', 'महर्जन', 'अग्रवाल', 'के.सी', 'अग्रवाल',
        'अधिकारी', 'न्यौपाने', 'लामा', 'पौडेल', 'शाह', 'श्रेष्‍ठ', 'शर्मा',
        'शाक्य', 'पराजुली', 'शाही', 'श्रेष्‍ठ', 'पौडेल', 'न्यौपाने', 'मानन्धर',
        'सिंह', 'भट्टराई', 'सुनुवार', 'श्रेष्‍ठ', 'जैन', 'शाह', 'लोहनी',
        'तुलाधर', 'सिं‌खडा', 'प्रजापति', 'पोद्वार', 'के.सी', 'शर्मा', 'शर्मा',
        'श्रेष्ठ', 'सिंघल', 'के.सी.', 'देउजा', 'दाहाल', 'खनाल', 'पनेरु',
        'मानन्धर', 'गोयल', 'जोशी', 'अमात्‍य', 'शेर्पा', 'श्रेष्ठ', 'प्रधानाङ',
        'भिमसरिया', 'सुवाल', 'तण्डुकार', 'तुलाधर', 'गुरागाई', 'मानन्धर',
        'च्यामे', 'सी', 'गौतम', 'जोशी', 'शाह', 'श्रेष्‍ठ', 'श्रेष्ठ', 'गौतम',
        'साह', 'जोशी', 'गुरुङ', 'मोक्तान', 'राजकर्णिकार', 'सुवाल', 'श्रेष्‍ठ',
        'पन्त', 'डंगोल', 'उपाध्‍याय', 'प्रधान', 'खनाल', '(न्यौपाने)', 'मित्तल',
        'शर्मा', 'गडतौला', 'गोयल', 'रेग्मी', 'खड्गी', 'लोहनी', 'पाण्डेय',
        'लोहनी', 'पाण्डे', 'लिम्बु', 'शाही', 'राजकर्णिकार', 'डंगोल', 'सि‌ह',
        'मानन्धर', 'श्रेष्‍ठ', 'खत्री', 'हायाजु', 'पाण्डे', 'खनाल',
        'राजकर्णिकार', 'थापा', 'श्रेष्‍ठ', 'शाक्य', 'प्रजापती', 'खड्गी',
        'श्रेष्‍ठ', 'श्रेष्‍ठ', 'श्रेष्‍ठ', 'जैन', 'अग्रवाल', 'गौतम', 'रसायली',
        'खड्गी', 'सिलवाल', 'शाही', 'श्रेष्‍ठ', 'शाही', 'राजकर्णिकार', 'जैन',
        'मानन्धर', 'ज्ञवाली', 'भिमसरीया', 'ढङ्गेल', 'बस्नेत', 'प्याकुरेल',
        'पाण्डे', 'दुगड', 'राजकर्णिकार', 'पाण्डे', 'राजकर्णिकार', 'कुइकेल',
        'अग्रवाल', 'गुरुङ्ग', 'अग्रवाल', 'पौडेल', 'कंसाकार', 'दुगड',
        'श्रेष्‍ठ', 'भट्टराई', 'क्षेत्री', 'श्रेष्‍ठ', 'नाहटा', 'बस्नेत',
        'राजकर्णिकार', 'के.सी.', 'के.सी.', 'गुप्‍ता', 'बज्राचार्य', 'जोशी',
        'ज्ञवाली', 'पन्त', 'सिहं', 'गुप्‍ता', 'जोशी', 'शर्मा', 'के.सी',
        'देउजा', 'श्रेष्‍ठ', 'लोहनी', 'रेग्‍मी', 'क्षेत्री', 'श्रेष्‍ठ',
        'चालिसे', 'हायजु', 'मनन्धर', 'श्रेष्ठ', 'के.सी.', 'गुरुङ', 'मानन्धर',
        'राणा', 'श्रेष्‍ठ', 'मानन्धर', 'मानन्धर', 'काबरा', 'शाही', 'राठौर',
        'उपाध्याय', 'खनाल', 'चालिसे', 'तुलाधर', 'मगर', 'जैन', 'मल्‍ल', 'जैन',
        'राठी', 'अधिकारी', 'पन्‍त', 'गुरुङ्ग', 'थापा', 'पौडेल', 'सुवेदी',
        'अधिकारी', 'मुसलमान', 'किल्ला', 'मोक्तान', 'बस्न्यात', 'अधिकारी',
        'श्रेष्ठ', 'तुलाधर', 'बज्राचार्य', 'देउजा', 'शाक्य', 'श्रेष्‍ठ',
        'गुरुङ्ग', 'लेखक', 'खड्का', 'महर्जन', 'कार्की', 'थापा', 'श्रेष्‍ठ',
        'पन्त', 'राई', 'पाण्डे', 'लामा', 'डंगोल', 'मानन्धर', 'पन्‍त',
        'श्रेष्‍ठ', 'शाह', 'लोहनी', 'दुगड', 'लामा', 'श्रेष्‍ठ', 'शाह',
        'मानन्धर', 'अधिकारी', 'पाण्डे', 'शाह', 'उपाध्याय', 'देउजा', 'श्रेष्‍ठ',
        'बेगानी', 'शर्मा', 'गिरी', 'गुरुङ्ग', 'श्रेष्‍ठ', 'थापा',
        'राजकर्णिकार', 'आलम', 'अधिकारी', 'मानन्‍धर', 'श्रेष्ठ', 'श्रेष्‍ठ',
        'पाण्डे', 'रसायली', 'के.सी', 'राजकर्णिकार', 'श्रेष्‍ठ', 'ढकाल',
        'ठुकरी', 'ढुङ्गेल', 'राजकर्णिकार', 'भट्टराई', 'राजकर्णिकार',
        'श्रेष्ठ', 'नेपाल', 'महर्जन', 'गुरुङ्ग', 'शाह', 'श्रेष्‍ठ', 'सत्याल',
        'सिंह', 'मानन‍धर', 'श्रेष्‍ठ', 'श्रेष्‍ठ', 'नेपाली', 'शाह', 'शंकर',
        'सुनुवार', 'आलम', 'श्रेष्‍ठ', 'राजकर्णिकार', 'तुलाधर', 'देउजा',
        '(श्रेष्‍ठ)', 'ज्ञवाली', 'तुलाधर', 'खड्गी', 'बज्राचार्य', 'पन्त',
        'हायजु', 'श्रेष्ठ', 'सिंह', 'गौतम', 'मित्तल', 'ठकुरी', 'थापा',
        'मानन्धर', 'न्यौपाने', '(अमात्य)', 'लामा', 'सिंह', 'थापा', 'मानन्धर',
        'ड‌ंगोल', 'मानन्धर', 'तुलाधर', 'रसाइली', 'अग्रवाल', 'जैन', 'श्रेष्‍ठ',
        'श्रेष्‍ठ', 'तिवारी', 'श्रेष्‍ठ', 'न्यौपाने', 'तिवारी', 'जैन',
        'ढुङ्गेल', 'मल्ल', 'गिरी', 'राजकर्णिकार', 'थापा', 'अग्रवाल', 'सिटौला',
        'थापा', 'कर्माचार्य', 'किराँत', 'सिंह', 'सिंह', 'जोशी', 'शाही',
        'दाहाल', 'महर्जन', 'महर्जन', 'जोशी', 'सिंह', 'जोशी',
    )

    prefixes_female = ('श्रीमती', 'सुश्री', )
    prefixes_male = ('श्री', 'श्रीमान',)
